POST /api/ai/ask
Create ai ask. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| question | body | string | Yes | Up to 500 characters |
curl -X POST https://agakural.online/api/ai/ask \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"question": "question"}'
POST /api/ai/bot
Create ai bot. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| description | body | string | Yes | Up to 2000 characters |
| business | body | string | No | Up to 120 characters |
| hours | body | string | No | Up to 200 characters |
| language | body | object | No | One of: en, ta, hi, tanglish, hinglish |
curl -X POST https://agakural.online/api/ai/bot \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"description": "description"}'
POST /api/ai/flow
Create ai flow. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| description | body | string | Yes | Up to 1500 characters |
| language | body | object | No | One of: en, ta, hi, tanglish, hinglish |
curl -X POST https://agakural.online/api/ai/flow \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"description": "description"}'
POST /api/ai/insights
Create ai insights. Authenticate with your account api key.
curl -X POST https://agakural.online/api/ai/insights \
-H "Authorization: Bearer $TOKEN"
GET /api/ai/usage
Get ai usage. Authenticate with your account api key.
curl -X GET https://agakural.online/api/ai/usage \
-H "Authorization: Bearer $TOKEN"
POST /api/ai/write
Create ai write. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| purpose | body | object | Yes | One of: message, offer, reminder, status, broadcast, reply, welcome |
| brief | body | string | Yes | Up to 1500 characters |
| language | body | object | No | One of: en, ta, hi, tanglish, hinglish |
| tone | body | object | No | One of: friendly, professional, festive, urgent, short |
| variants | body | integer | No | Range 1–3 |
curl -X POST https://agakural.online/api/ai/write \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"purpose": "purpose", "brief": "brief"}'
GET /api/bookings
Get bookings. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| from | query | integer | No |
curl -X GET https://agakural.online/api/bookings \
-H "Authorization: Bearer $TOKEN"
POST /api/bookings
Create bookings. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| to | body | string | Yes | Up to 40 characters |
| name | body | string | No | Up to 80 characters |
| service | body | string | No | Up to 60 characters |
| start_at | body | integer | Yes | |
| minutes | body | integer | No | Range 5–480 |
curl -X POST https://agakural.online/api/bookings \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "to": "919876543210", "start_at": 1}'
PATCH /api/bookings/{id}
Update a bookings. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| status | body | object | Yes | One of: cancelled, done, no_show, confirmed |
curl -X PATCH https://agakural.online/api/bookings/{id} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"status": "status"}'
GET /api/broadcasts
Get broadcasts. Authenticate with your account api key.
curl -X GET https://agakural.online/api/broadcasts \
-H "Authorization: Bearer $TOKEN"
POST /api/broadcasts
Create broadcasts. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| name | body | string | No | Up to 120 characters |
| message | body | string | Yes | Up to 4000 characters |
| media | body | string | No | Up to 8000000 characters |
| start_at | body | integer | No | |
| text | body | string | No | Up to 1000000 characters |
| sheet_url | body | string | No | Up to 500 characters |
| recipients | body | array of object | No |
curl -X POST https://agakural.online/api/broadcasts \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "message": "message"}'
GET /api/broadcasts/{id}
Get one broadcast. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/broadcasts/{id} \
-H "Authorization: Bearer $TOKEN"
POST /api/broadcasts/{id}/cancel
Create broadcasts cancel. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/broadcasts/{id}/cancel \
-H "Authorization: Bearer $TOKEN"
POST /api/broadcasts/{id}/pause
Create broadcasts pause. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/broadcasts/{id}/pause \
-H "Authorization: Bearer $TOKEN"
POST /api/broadcasts/{id}/resume
Create broadcasts resume. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/broadcasts/{id}/resume \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/booking
Get channels booking. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/booking \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/booking
Update channels booking. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| enabled | body | boolean | No | |
| keywords | body | array of string | No | |
| services | body | array of object | No | |
| days | body | array of integer | No | |
| start | body | string | No | |
| end | body | string | No | |
| slot_minutes | body | integer | No | Range 5–240 |
| capacity | body | integer | No | Range 1–100 |
| days_ahead | body | integer | No | Range 1–60 |
| reminder_hours | body | integer | No | Range 0–48 |
| intro | body | string | No | Up to 300 characters |
curl -X PUT https://agakural.online/api/channels/{id}/booking \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/flows
Get channels flows. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/flows \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/flows
Create channels flows. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| name | body | string | No | Up to 60 characters |
| enabled | body | boolean | No | |
| keywords | body | array of string | Yes | |
| steps | body | array of object | Yes | |
| done | body | string | No | Up to 1000 characters |
curl -X POST https://agakural.online/api/channels/{id}/flows \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"keywords": [], "steps": []}'
GET /api/channels/{id}/groups
Get channels groups. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/groups \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/groups/{group}
Update a channels groups. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| group | path | string | Yes | |
| enabled | body | boolean | No | |
| mode | body | object | No | One of: business, personal |
| welcome | body | string | No | Up to 1000 characters |
| rules | body | string | No | Up to 2000 characters |
| trip | body | boolean | No | |
| trip_name | body | string | No | Up to 60 characters |
curl -X PUT https://agakural.online/api/channels/{id}/groups/{group} \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/groups/{group}/trip
Get channels groups trip. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| group | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/groups/{group}/trip \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/missed-call
Get channels missed call. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/missed-call \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/missed-call
Update channels missed call. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| enabled | body | boolean | No | |
| reject | body | boolean | No | |
| use | body | object | No | One of: business, personal |
| about | body | string | No | Up to 500 characters |
| language | body | object | No | One of: en, ta, hi, tanglish, hinglish |
| message | body | string | No | Up to 1000 characters |
| voice | body | boolean | No | |
| cooldown_hours | body | integer | No | Range 1–168 |
curl -X PUT https://agakural.online/api/channels/{id}/missed-call \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/missed-call/preview
Create channels missed call preview. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| enabled | body | boolean | No | |
| reject | body | boolean | No | |
| use | body | object | No | One of: business, personal |
| about | body | string | No | Up to 500 characters |
| language | body | object | No | One of: en, ta, hi, tanglish, hinglish |
| message | body | string | No | Up to 1000 characters |
| voice | body | boolean | No | |
| cooldown_hours | body | integer | No | Range 1–168 |
curl -X POST https://agakural.online/api/channels/{id}/missed-call/preview \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/reviews
Get channels reviews. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/reviews \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/reviews
Update channels reviews. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| enabled | body | boolean | No | |
| google_url | body | string | No | Up to 500 characters |
| delay_hours | body | integer | No | Range 0–168 |
| after_booking | body | boolean | No | |
| after_payment | body | boolean | No | |
| ask | body | string | No | Up to 500 characters |
| thanks_good | body | string | No | Up to 500 characters |
| ask_feedback | body | string | No | Up to 500 characters |
| thanks_feedback | body | string | No | Up to 500 characters |
curl -X PUT https://agakural.online/api/channels/{id}/reviews \
-H "Authorization: Bearer $TOKEN"
POST /api/contacts/parse
Create contacts parse. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| text | body | string | No | Up to 1000000 characters |
| sheet_url | body | string | No | Up to 500 characters |
curl -X POST https://agakural.online/api/contacts/parse \
-H "Authorization: Bearer $TOKEN"
DELETE /api/flows/{id}
Delete a flows. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/flows/{id} \
-H "Authorization: Bearer $TOKEN"
PUT /api/flows/{id}
Update a flows. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| name | body | string | No | Up to 60 characters |
| enabled | body | boolean | No | |
| keywords | body | array of string | Yes | |
| steps | body | array of object | Yes | |
| done | body | string | No | Up to 1000 characters |
curl -X PUT https://agakural.online/api/flows/{id} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"keywords": [], "steps": []}'
GET /api/leads
Get leads. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| flow_id | query | string | No |
curl -X GET https://agakural.online/api/leads \
-H "Authorization: Bearer $TOKEN"
GET /api/leads.csv
Get leads.csv. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| flow_id | query | string | No |
curl -X GET https://agakural.online/api/leads.csv \
-H "Authorization: Bearer $TOKEN"
GET /api/links
Get links. Authenticate with your account api key.
curl -X GET https://agakural.online/api/links \
-H "Authorization: Bearer $TOKEN"
POST /api/links
Create links. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| text | body | string | No | Up to 500 characters |
| label | body | string | No | Up to 60 characters |
| slug | body | string | No | Up to 40 characters |
curl -X POST https://agakural.online/api/links \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id"}'
DELETE /api/links/{slug}
Delete a links. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| slug | path | string | Yes |
curl -X DELETE https://agakural.online/api/links/{slug} \
-H "Authorization: Bearer $TOKEN"
GET /api/optouts
Get optouts. Authenticate with your account api key.
curl -X GET https://agakural.online/api/optouts \
-H "Authorization: Bearer $TOKEN"
DELETE /api/optouts/{phone}
Delete a optouts. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| phone | path | string | Yes |
curl -X DELETE https://agakural.online/api/optouts/{phone} \
-H "Authorization: Bearer $TOKEN"
GET /api/reminders
Get reminders. Authenticate with your account api key.
curl -X GET https://agakural.online/api/reminders \
-H "Authorization: Bearer $TOKEN"
POST /api/reminders
Create reminders. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| kind | body | object | No | One of: rent, fees, emi, appointment, custom |
| title | body | string | No | Up to 120 characters |
| to | body | string | Yes | Up to 40 characters |
| contact_name | body | string | No | Up to 80 characters |
| message | body | string | Yes | Up to 2000 characters |
| amount_paise | body | integer | No | Range 100–10000000 |
| attach_upi | body | boolean | No | |
| schedule | body | object | Yes |
curl -X POST https://agakural.online/api/reminders \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "to": "919876543210", "message": "message", "schedule": "schedule"}'
DELETE /api/reminders/{id}
Delete a reminders. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/reminders/{id} \
-H "Authorization: Bearer $TOKEN"
PATCH /api/reminders/{id}
Update a reminders. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| active | body | boolean | No | |
| message | body | string | No | Up to 2000 characters |
| amount_paise | body | integer | No | Range 100–10000000 |
curl -X PATCH https://agakural.online/api/reminders/{id} \
-H "Authorization: Bearer $TOKEN"
POST /api/reminders/bulk
Create reminders bulk. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| kind | body | object | No | One of: rent, fees, emi, appointment, custom |
| title | body | string | No | Up to 120 characters |
| message | body | string | Yes | Up to 2000 characters |
| attach_upi | body | boolean | No | |
| schedule | body | object | Yes | |
| text | body | string | No | Up to 1000000 characters |
| sheet_url | body | string | No | Up to 500 characters |
curl -X POST https://agakural.online/api/reminders/bulk \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "message": "message", "schedule": "schedule"}'
GET /api/reminders/templates
Get reminders templates. Authenticate with your account api key.
curl -X GET https://agakural.online/api/reminders/templates \
-H "Authorization: Bearer $TOKEN"
GET /api/reviews
Get reviews. Authenticate with your account api key.
curl -X GET https://agakural.online/api/reviews \
-H "Authorization: Bearer $TOKEN"
POST /api/reviews
Create reviews. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| to | body | string | Yes | Up to 40 characters |
| name | body | string | No | Up to 80 characters |
| delay_hours | body | integer | No | Range 0–168 |
curl -X POST https://agakural.online/api/reviews \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "to": "919876543210"}'
GET /api/status
Get status. Authenticate with your account api key.
curl -X GET https://agakural.online/api/status \
-H "Authorization: Bearer $TOKEN"
POST /api/status
Create status. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| channel_id | body | string | Yes | |
| kind | body | object | Yes | One of: text, image |
| body | body | string | No | Up to 700 characters |
| media | body | string | No | Up to 8000000 characters |
| background_color | body | string | No | |
| post_at | body | integer | No |
curl -X POST https://agakural.online/api/status \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id", "kind": "kind"}'
DELETE /api/status/{id}
Delete a status. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/status/{id} \
-H "Authorization: Bearer $TOKEN"
GET /api/status/templates
Get status templates. Authenticate with your account api key.
curl -X GET https://agakural.online/api/status/templates \
-H "Authorization: Bearer $TOKEN"